package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Sro;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SroMapper {

    Sro queryById(String var1);

    List<Sro> queryAllByLimit(Sro var1);

    long count(Sro var1);

    int insert(Sro var1);

    int insertBatch(List<Sro> var1);

    int insertOrUpdateBatch(List<Sro> var1);

    int update(Sro var1);

    int deleteById(String var1);

    int check(Sro var1);

    List<Sro> selectByVo(@Param("vo") Sro sro);

    List<Sro> selectBySucsrv(@Param("sucsrv") String sucsrv);

    List<Sro> selectByPresrv(@Param("presrv") String presrv);

    List<Sro> selectAllOrderBySucsrv(@Param("sucsrv") String sucsrv);

    Sro selectBySro(Sro sro);

}
